​
Select Service
ves-io-schema-virtual_network-API-Get
Published April 5, 2023 | Last modified May 28, 2026
Examples of getting virtual_network
Usecase:
Get virtual-network-1
Request using vesctl:
vesctl configuration get virtual_network virtual-network-1 --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: virtual-network-1 namespace: systemreferringObjects: []resourceVersion: "4569"spec: siteLocalNetwork: {} staticRoutes: [] staticV6Routes: []status: []systemMetadata: creationTimestamp: "2026-04-13T02:03:17.251468Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: b2a56827-d724-43e7-acea-c6e9fd60a4d2Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/virtual_networks/virtual-network-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 913Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:03:17 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "4569", "metadata": { "name": "virtual-network-1", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "b2a56827-d724-43e7-acea-c6e9fd60a4d2", "creation_timestamp": "2026-04-13T02:03:17.251468Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "site_local_network": {
}, "static_routes": [ ], "static_v6_routes": [ ] }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}